#!/bin/bash

TC_FILE=$1
TC_ARG=""
if [[ -n $TC_FILE ]] ; then
  TC_ARG="-DCMAKE_TOOLCHAIN_FILE=${TC_FILE}"
fi
set -xe
rm -fr build
mkdir build
(cd build; cmake -G Ninja $TC_ARG ..)
(cd build; ninja)
rm -fr /tmp/inst
(cd build; DESTDIR=/tmp/inst ninja install)
